Skip to main content
GET
/
v1
/
enrichment
/
persons
/
activities
/
post
/
reactions
Get Person Activities Post Reactions
curl --request GET \
  --url 'https://api.scrapin.io/v1/enrichment/persons/activities/post/reactions?apikey='
{ "success": true, "credits_consumed": 2, "credits_left": 19934.5, "rate_limit_left": 19999, "daily_rate_limit_left": 19999, "minute_rate_limit_left": 499, "next_minute_rate_limit_reset": "2024-01-15T10:31:00Z", "quotas": { "credits": { "total": 10000, "used": 1234, "left": 8766 }, "daily_rate_limit": { "limit": 5000, "used": 150, "left": 4850, "next_reset": "2024-10-31T12:46:00.000Z" }, "minute_rate_limit": { "limit": 500, "used": 12, "left": 488, "next_reset": "2024-10-31T12:46:00.000Z" } }, "metadata": { "currentPage": 1, "pageNumber": 10, "perPage": 50, "total": 500, "source": "fresh", "request_id": "000xcc2a-829a-4200-9704-f6f9cf9a23de" }, "reactions": [ { "type": "LIKE", "author": { "authorId": "XCoEECH1JL4BEFTG8OBXXuUTIOatyKpCH9AIGE0", "authorName": "Stefan Smith", "authorUrl": "https://www.social.com/in/XCoEECH1JL4BEFTG8OBXXuUTIOatyKpCH9AIGE0" } }, { "type": "LIKE", "author": { "authorId": "XCoEECH1JL4BEFTG8OBXXuUTIOatyKpCH9AIGE0", "authorName": "John Doe", "authorUrl": "https://www.social.com/in/XCoEECH1JL4BEFTG8OBXXuUTIOatyKpCH9AIGE0" } } ] }

Request Tracking & Reporting

Found incorrect or missing data? Visit your API Logs to view all requests and report issues directly from the web interface.
How to report an issue:
  1. Go to app.scrapin.io/api-logs
  2. Find the request you want to report in the logs table
  3. Click the “Report” button in the Actions column
  4. Select the issue type and add a description
The request_id helps our team investigate and resolve issues quickly. All enrichment requests are automatically logged for your convenience.

Authorizations

apikey
string
query
required

This required parameter is a string. It represents the APIKEY obtained from the developer dashboard. You must use it in the query string of your request as ?apikey=YOUR_API_KEY or in the headers as x-api-key: YOUR_API_KEY

Query Parameters

activityId
string
required

This required parameter is a string. It represents the ID of the activity post you want to retrieve reactions.

page
number

This optional parameter is a string. It represents the page number of the results.

Response

The endpoint returns the activity post reactions from activityId

success
boolean

Indicates success or failure of api request.

credits_consumed
number

Represents the number of credits consumed by this query.

credits_left
number

Represents the usable credits available for the user account after this query.

rate_limit_left
number

Represents the usable daily request limit available for the user account after this query.

daily_rate_limit_left
number

Represents the usable daily request limit available for the user account after this query.

minute_rate_limit_left
number

Represents the usable minute request limit available for the user account after this query.

next_minute_rate_limit_reset
string

Represents the next minute rate limit reset for the user account after this query. Datetime in ISO 8601 format (e.g., 2025-11-14T14:34:43.000Z).

quotas
object

Structured quota information for the user account. Provides the same data as the flat fields above in a more organized format.

metadata
object
reactions
object[]

All reactions of a person on a post